WMNAME(1)

NAME
wmname - Prints/sets the EWMH WM name property.

SYNOPSIS
wmname {[name]}

DESCRIPTION
wmname prints/sets the window manager name property of the root window, similar to how hostname(1) behaves.

wmname is a nice utility to fix problems with JDK versions and other broken programs assuming a reparenting window manager for instance.

The following command prints the window manager name, if any:

# wmname

The following command sets the window manager name, e.g.

# wmname LG3D

This helpful when attempting to run java swing (broken) applications, it makes them think they are running through the looking glass and behave as expected.

OPTIONS
-v prints the version number and exits.

AUTHORS
wmname was written by Anselm R. Garbe (garbeam at gmail dot com).

This man page written by B. Watson for the SlackBuilds.org project. It may be used by anyone.